Looking for Guidance

Discussion in '3DS - Homebrew Development and Emulators' started by r3pwn, Mar 2, 2015.

  1. r3pwn
    OP

    r3pwn Member

    Newcomer
    11
    1
    Mar 2, 2015
    United States
    Hello all, 3ds newbie here (I mostly hangout in the Android development community and know a small amount about exploits and have a few computers running Linux, yada yada yada). I am looking to mod my 3ds (currently running 9.5.0, I know, not moddable yet) and run a few homebrew apps and/or emulators (not interested in piracy). I am slightly interested in the development aspect of the web-based exploits (they're really neat in my opinion). So I have a few questions:
    Is it possible to install a file format other than .cia (like .3ds) while in sysNAND, without using ninjhax? (I don't mean for 9.5, I just mean in general)
    Is it possible to upgrade sysNAND to a specific version? (Like if I downgraded using gateway's launcher.dat loaded through the web browser and wanted to upgrade to 4.5 or 9.2)
    Is it possible to upgrade emuNAND to 9.4 while keeping sysNAND at 4.2 (or whatever it's at) while using only one SDCard?
    Thanks for taking the time to read through these all and I apologize if these were answered somewhere else already and I missed them.
     
  2. Lenan

    Lenan GBAtemp Regular

    Member
    172
    65
    Feb 1, 2015
    Swaziland
    - Installing stuff: No, .CIAs is the only installable format.
    - Upgradeing sysNAND: Yes, you can, but you'll need a game with your desired FW. When/if you update, make sure you're wifi is off. You can check 3ds.essh.co to see which game has your desired update.
    - Upgrading emuNAND: Yes. Check out one of the many Tutorials/Guides, they will help you a lot.

    You can find more info here:
    http://www.maxconsole.com/maxcon_forums/threads/286487-3DS-N3DS-Gateway-Ultra-Guide I recommend reading through this, it will give you a good foundation on what is possible.
    https://gbatemp.net/threads/guide-the-emunand-save-data-mega-guide-gbatemp-doesnt-deserve.378491/
     
    r3pwn likes this.
  3. r3pwn
    OP

    r3pwn Member

    Newcomer
    11
    1
    Mar 2, 2015
    United States
  4. puss2puss

    puss2puss ♻ThinkGreen♻

    Member
    737
    456
    Dec 18, 2013
    Canada
    like Lenan said ^

    ..but if you have a new3DS you cannot downgrade it, and you cannot use a Gateway. But you can use a Sky3ds if you want to play 3ds roms (.3ds) ..
     
  5. nosklo

    nosklo Member

    Newcomer
    49
    14
    Oct 16, 2010
    Brazil
    I would advise against this, as you can use emunand instead, so just leave sysnand at 4.x
     
  6. r3pwn
    OP

    r3pwn Member

    Newcomer
    11
    1
    Mar 2, 2015
    United States
    My 3ds is the original one, not the n3ds, and I don't necessarily want to purchase a gateway/sky3ds cart.

    Thank you, I will be sure to do that once the GW launcher becomes compatible with 9.5 and allows me to downgrade (I actually had it downgraded with cfw installed the other day, but was unable to install cias, got upset, restored my sdcard, and updated to 9.5).
     
  7. puss2puss

    puss2puss ♻ThinkGreen♻

    Member
    737
    456
    Dec 18, 2013
    Canada
    anyway you have an original3DS so..no need for sky3ds :moogle: i was just saying in case it was your only option :P
     
    r3pwn likes this.